commit:     e2a3718417bcd4f97b65f634de8f183d909d8bf3
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 24 07:41:31 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Mar 24 08:35:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2a37184

dev-ruby/rspec-mocks: add ruby25

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-ruby/rspec-mocks/rspec-mocks-2.99.2.ebuild | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

diff --git a/dev-ruby/rspec-mocks/rspec-mocks-2.99.2.ebuild 
b/dev-ruby/rspec-mocks/rspec-mocks-2.99.2.ebuild
index 679cee53e25..b9d7f082005 100644
--- a/dev-ruby/rspec-mocks/rspec-mocks-2.99.2.ebuild
+++ b/dev-ruby/rspec-mocks/rspec-mocks-2.99.2.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
-USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+USE_RUBY="ruby22 ruby23 ruby24 ruby25"
 
 RUBY_FAKEGEM_RECIPE_TEST="rspec"
 
@@ -39,13 +39,9 @@ all_ruby_prepare() {
 
        # Avoid a weird, and failing, test testing already installed code.
        sed -e '/has an up-to-date caller_filter file/,/end/ s:^:#:' -i 
spec/rspec/mocks_spec.rb || die
-}
 
-each_ruby_prepare() {
-       case ${RUBY} in
-               *ruby22|*ruby23|*ruby24)
-                       # Psych and Syck are not supported by default anymore 
on ruby22.
-                       rm spec/rspec/mocks/serialization_spec.rb || die
-                       ;;
-       esac
+       # Psych and Syck are not supported by default anymore on ruby22.
+       rm spec/rspec/mocks/serialization_spec.rb || die
+
+       sed -i -e '/does not affect the ability to access the top-level 
constant/,/end/ s:^:#:' spec/rspec/mocks/mutate_const_spec.rb || die
 }

Reply via email to